# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

# jshint not in Fedora
%global enable_tests 0

%global barename grunt-contrib-cssmin

Name:               nodejs-grunt-contrib-cssmin
Version:            0.14.0
Release:            7%{?dist}
Summary:            Compress CSS files

License:            MIT
URL:                https://www.npmjs.org/package/grunt-contrib-cssmin
Source0:            https://github.com/gruntjs/%{barename}/archive/v%{version}/%{barename}-%{version}.tar.gz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(grunt-contrib-nodeunit)
BuildRequires:      npm(grunt-contrib-jshint)
BuildRequires:      npm(grunt)
BuildRequires:      npm(grunt-contrib-internal)
BuildRequires:      npm(grunt-contrib-clean)
%endif


%description
Compress CSS files.

%prep
%setup -q -n %{barename}-%{version}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep maxmin ^2.1.0
%nodejs_fixdep chalk ^1.1.1

%build
#%%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-cssmin
cp -pr package.json tasks \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-cssmin

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md docs/
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-contrib-cssmin/

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 29 2016 Tom Hughes <tom@compton.nu> - 0.14.0-4
- Update npm(maxmin) dependency

* Mon Feb 22 2016 Tom Hughes <tom@compton.nu> - 0.14.0-3
- Update npm(chalk) dependency

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 23 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.14.0-1
- Update to upstream 0.14.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.12.3-1
- Update to upstream 0.12.3
- Removed deprecated group tag

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.12.2-1
- new version

* Thu Feb 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.12.1-1
- Update to upstream 0.12.1
- Changed Source0 from npm to github, license file was removed from npm

* Thu Oct 23 2014 Ralph Bean <rbean@redhat.com> - 0.10.0-1
- Latest upstream.
- Build as noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 0.9.0-1
- Initial packaging for Fedora.
